{% extends 'base.html' %}

{% block navbar_items %}
{% for device in devices %}
<li class="nav-item active">
    <a class="nav-link" href="{% url 'device-detail' device.pk %}">{{device.name}}</a>
</li>
{% endfor %}
{% endblock %}

{% block content %}
<table class="table table-striped">
    {% if object.type == 0 %}
    <thead>
      <tr>
        <th>DateTime</th>
        <th>Temperature</th>
        <th>Humidity</th>
      </tr>
    </thead>
    <tbody>
      {% for reading in object.readings.all %}
      <tr>
        <td>{{reading.created_at}}</td>
        <td>{{reading.temperature_with_two|floatformat:2}} °C</td>
        <td>{{reading.humidity_with_twenty_two|floatformat:2}} %</td>
      </tr>
      {% endfor %}
    </tbody>
    {% endif %}
  </table>
{% endblock %}
